package com.xy.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;


public class SimInfoDto {

    @Data
    @Accessors(chain = true)
    public static class InfoDto {
        @NotNull(message = "iccid 不能为空")
        @ApiModelProperty(value = "iccid", required = true)
        private String iccid;
    }

    @Data
    @Accessors(chain = true)
    public static class InfoVo {
        @ApiModelProperty("iccid")
        private String iccid;

        @ApiModelProperty("imsi")
        private String imsi;

        @ApiModelProperty("号码")
        private String accessNumber;

        @ApiModelProperty("激活时间")
        private String activeDate;

        @ApiModelProperty("开卡时间")
        private String createDate;

        @ApiModelProperty("断网状态")
        private String netBlockStatus;

        @ApiModelProperty("卡状态")
        private String simStatus;

        @ApiModelProperty("网络状态")
        private String netStatus;

        //上线掉线时间，流量套餐，使用情况
    }
}
