package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.SimInfoDto;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 物联网卡服务接口
 * </p>
 *
 * @author hechunping
 * @since 2024/8/20
 */
@RestMappingController("sim-info")
public interface SimInfoService {
    @PostMapping("info")
    R<SimInfoDto.InfoVo> info(@RequestBody @Validated SimInfoDto.InfoDto dto);

}
