package com.xy.service.factory.sim.impl;

import com.xy.annotate.FactoryRoute;
import com.xy.service.factory.sim.SimInfoFactory;
import com.xy.utils.FactoryUtils;
import lombok.AllArgsConstructor;

/**
 * <p>
 * Sim物联网卡工厂路由
 * </p>
 *
 * @author hechunping
 * @since 2024/8/20
 */
@AllArgsConstructor
@FactoryRoute(interfaceClass = SimInfoFactory.class)
public class SimInfoFactoryRoute implements FactoryUtils.RouteService {

    @Override
    public String route(Object object) {
        return "电信";
    }
}
